<?php $split = explode(",", sanitize_text_field($_REQUEST['trans_num'])); ?>

<html>
	<head>
		<meta name="viewport" content="width=device-width, initial-scale=1.0">
		<meta name="robots" content="noindex, nofollow">

		<?php 
		rezgo_plugin_scripts_and_styles();
		wp_print_scripts();
		wp_print_styles();
		?>

		<?php if ($site->exists($site->getStyles())) { ?>
			<style><?php echo $site->getStyles();?></style>
		<?php } ?>
	</head>

	<body>
		<div id="rezgo-tickets-body">
			<div class="container-fluid">
				<?php foreach ((array) $split as $v) { ?>
					<?php 
					$trans_num = $site->decode($v);
					if (!$trans_num) {
						$site->sendTo("/");
					}
					$booking = $site->getBookings($trans_num, 0);
					$checkin = (string) $booking->checkin;
					$checkin_state = $booking->checkin_state;
					$type = ((string) $booking->ticket_type != '' ? $booking->ticket_type : 'voucher');

                    $allowed_html = array(
                        'html' => array(
                            'lang' => array()
                        ),
                        'head' => array(),
                        'meta' => array(
                            'charset' => array(),
                            'name' => array(),
                            'content' => array(),
                        ),
                        'script' => array(
                            'type' => array()
                        ),
                        'link' => array(
                            'href' => array(),
                            'rel' => array()
                        ),
                        'title' => array(),
                        'body' => array(),
                        'style' => array(),
                        'div' => array(
                            'id' => array(),
                            'class' => array()
                        ),
                        'h1' => array(),
                        'h2' => array(),
                        'h3' => array(),
                        'h4' => array(),
                        'h5' => array(),
                        'p' => array(),
                        'span' => array(),
                        'br' => array(),
                        'label' => array(),
                        'strong' => array(),
                        'em' => array(),
                        'i' => array(),
                        'font' => array(
                            'color' => array()
                        ),
                        'hr' => array(),
                        'ol' => array(),
                        'li' => array(),
                        'a' => array(),
                        'img' => array(
                            'src' => array(),
                            'alt' => array(),
                            'class' => array(),
                        )
                    );

					?>

					<?php if ($checkin): ?>
						<?php $ticket_content = $site->getTicketContent($trans_num, 0); ?>

						<?php foreach ($ticket_content->tickets as $ticket_list) { ?>
							<?php foreach ($ticket_list as $ticket) { ?>
								<span><?php echo wp_kses($ticket, $allowed_html); ?></span>

								<br />

								<div class="clearfix"></div>

								<hr class="rezgo-ticket-bottom" />
							<?php } ?>
						<?php } ?>
					<?php else: ?>
						<?php if ($booking->status == 3): ?>
							<div class="col-xs-12">
								<br />
								<span>Booking </span>
								<strong><?php echo esc_html($trans_num); ?></strong>
								<span> has been cancelled, ticket is not available.</span>
								<br /><br />
							</div>
						<?php else: ?>
							<div class="col-xs-12">
								<br />
								<span><?php echo ucwords(esc_html($type)); ?></span>
								<span> for Booking </span>
								<strong><?php echo esc_html($trans_num); ?></strong>
								<span> is not available until the booking has been confirmed.</span>
								<br /><br />
							</div>
						<?php endif; ?>

						<!-- <div class="h6 pull-right">
							<span class="rezgo-ticket-logo">Rezgo</span>
						</div> -->
					<?php endif; ?>

					<div class="clearfix"></div>

					<?php if (count($split) > 1) { ?>
						<div class="col-xs-12" style="border-top:1px solid #CCC; page-break-after: always;"></div>
					<?php } ?>
				<?php } ?>
			</div>
		</div>
	</body>
</html>
